Subject: bash: forkee heap_init errors
From: [email-masked] (Jeff Oh)

23 Apr 1997 03:59:35 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL24 ME8b]
Original-Sender: [email-masked]

Hi folks!

I've just started playing with the bash shell, but can't seem to get
beyond first base.  As I couldn't see a description of this problem
in the mailing list archives or faq, I'm stumped.

I'm running NT 4.0 service pack 2 and my bash shells are randomly
core dumping every 5-100 commands or so.  When I try to configure
bash so I could run it through the debugger, I get the following
output (repeated twice) :

-----
c:\cygnus\H-i386-cygwin32\bin\sh.exe 1022) forkee heap_init: unable to allocate
 heap, win32 error 487
cygwin: terminating
fork_helper: child died before initialization with win32 error 1
-----

When I look in my trusty win32 documents, error 487 is returned when 
an invalid handle is passed to the WNetGetLastError() function!  Error
1 is ERROR_INCORRECT_FUNCTION.  

There *is* plenty of free memory in the system.  I've read warnings
about malloc() in the faq, but since I can't compile the version 
of bash that's dying, it can't be my malloc() function that's the
problem.  Both sh.exe and bash.exe are in my path, and that path
has been mounted with mount.

Any information that you can provide would be greatly appreciated.  
I will summarize, if necessary.

Thanks,

Jeff 8-)
-- 
Jeff Oh, Zadall Systems Group.  [email-masked]    8-) 

"Programming today is a race between software engineers striving to build 
bigger and better idiot-proof programs, and the Universe trying to produce 
bigger and better idiots. So far, the Universe is winning." -- Rich Cook
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".